Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000655Core InformAssertions and creationspublic2011-05-12 16:392014-05-07 07:33
Reportertryguy 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000655: When a gendered character is cast as the player, there are issues when making use of that gender.
DescriptionI think this issue arises from the action of casting the player into a character. As noted below, without having the player assume the role of Robert, there are no problems with the tattoo.

Beyond that, I'm not sure what to say.
Minimal Source Text To Reproduce
The Cell is a room.

Robert is a man in the Cell. The player is Robert.

A tattoo is a kind of thing. A tattoo is part of every man.

Test me with "showme tattoo".
Additional InformationThe Cell is a room.

Robert is a man in the Cell. The player is Robert.

A tattoo is a kind of thing. A tattoo is part of every person.

This version works as expected.


And I'm also certain this works (for the character Robert):

The Cell is a room.

Robert is a man in the Cell.

A tattoo is a kind of thing. A tattoo is part of every man.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships
has duplicate 0000940closed "part of every" doesn't assign to the player if player is not a person 

-  Notes
(0001168)
mattweiner (reporter)
2011-05-12 18:05

See also http://www.intfiction.org/forum/viewtopic.php?f=7&t=2433&p=16709&sid=3dc01eae9817897cfb56ca45b9695a3e#p16709 [^]

Note that, if you write "A tattoo is part of every man" etc. before "The player is Robert" etc., the tattoo is made part of Robert, but its name is "Robert's prison tattoo" rather than "your prison tattoo." In any case, this workaround goes around the explicit advice given in WI 4.14 to declare the player's identity as soon as possible.
(0001176)
EmacsUser (manager)
2011-05-19 12:20

Confirmed and added a test me line to show that the tattoo isn't being created.
(0001711)
Fuchsia tude (reporter)
2012-07-07 11:33

Possibly related to 0000638?
(0002658)
graham (administrator)
2014-05-04 09:02

Fixed. It's not 0000638, in fact; and the part about "Robert's prison tattoo" not "your prison tattoo" was actually a separate bug, but that's also fixed.

- Issue History
Date Modified Username Field Change
2011-05-12 16:39 tryguy New Issue
2011-05-12 18:05 mattweiner Note Added: 0001168
2011-05-19 12:20 EmacsUser Note Added: 0001176
2011-05-19 12:20 EmacsUser Status new => confirmed
2011-05-19 12:20 EmacsUser Steps to Reproduce Updated View Revisions
2012-07-02 14:58 EmacsUser Relationship added has duplicate 0000940
2012-07-07 11:33 Fuchsia tude Note Added: 0001711
2014-05-04 09:02 graham Note Added: 0002658
2014-05-04 09:02 graham Status confirmed => resolved
2014-05-04 09:02 graham Resolution open => fixed
2014-05-04 09:02 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker